import java.util.ArrayList;

public abstract class Haendler implements HaendlerInterface
    , Informant {
  protected String name;
    
  public Haendler(String name){
    this.name = name;
  }

  public abstract ArrayList<Item> handel(Item i); 
  
  public ArrayList<String> aktuelleInformationen(){
    ArrayList<String> ergebnis = new ArrayList<String>();
    ergebnis.add("Keine neuen Infos."); 
    return ergebnis;
  }
}
